Profiles

Generated profiles operations.

GET/v1/profiles/{id}/avatarRead profile avatarread
Audience
Clients · Native API
Authorization
API key or personal access token with the read scope, or a signed-in session
OpenAPI operation ID
get_profiles_id_avatar

Parameters

NameInTypeDescription
idrequiredpathstring
vquerystring

Responses

200Successapplication/octet-stream

Example
"string"
Schema

string (binary)

defaultRequest refused or unavailableapplication/json

Example
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
Schema
  • errorobjectrequired
    • codestringrequired
    • messagestringrequired

Error codesinvalid_requestunauthorizednot_permittednot_foundinternaldatabase_busy

Example request

curl -X GET "http://127.0.0.1:32500/v1/profiles/{id}/avatar" \
  -H "Authorization: Bearer $PORTICO_API_KEY"